Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Is there a way to install and run i386 software packages inside an AMD64 version of Xubuntu (v9.10)? Just to get an idea, how much effort would it require to port it to something usable within the said OS. I imagine it would be a lot.

Thanks! If you need more info (specs, etc.) let me know.

share|improve this question
    
Applications have to be specifically written for 64-bit Linux. Depending on the application, porting it may or may not be a lot of work. It could just be as simple as compiling it as a 64-bit application, or it could mean having to rewrite a decent amount of the code. –  Sasha Chedygov Mar 27 '10 at 3:19
    
If that's the case, it looks like the only solution is to wipe this out and install the i386 version of Xubuntu. :( –  Isxek Mar 27 '10 at 5:54
add comment

2 Answers 2

up vote 5 down vote accepted

I'm running several 32-bit apps on my 64-bit Ubuntu system (also 9.10), and it wasn't terribly painful. You might need the 32-bit libraries (I needed ia32-libs and util-linux, I believe), and you might have some configuration to do, but I've at least found it do-able. I've not compiled 32-bit applications on my system; I suspect it would be a bit more difficult.

Since Ubuntu's built on Debian, this article might give you a little more insight.

Just for context, I'm running FlexBuilder Alpha, Firefox, Eclipse, and a Flex & Java SDK all in 32-bit without any problems.

If you have very specific applications you need, have you considered running in a VM? I absolutely love VirtualBox, and it might save you some unnecessary headaches.

share|improve this answer
1  
Also check out the info at the bottom of this page: help.ubuntu.com/community/32bit_and_64bit –  Lars Haugseth Mar 27 '10 at 6:21
    
@Lars - great link :) –  bedwyr Mar 27 '10 at 6:24
    
Thanks! Since this Xubuntu install is embedded in Windows (installed through Wubi), I can't afford to use VirtualBox. But the needed libraries were there, and I downloaded the others (mostly SDL-related libraries) for dependencies. They're all working now. –  Isxek Mar 29 '10 at 15:20
    
Outstanding! It's great not starting over from scratch, isn't it?? :) –  bedwyr Mar 30 '10 at 2:10
add comment

Assuming you have the .deb-file for the program in question, you can use getlibs to solve dependencies. I do not know if you can download a 32-bit app through getlibs as well, but it might be worth a look.

http://ubuntuforums.org/showthread.php?t=474790

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.